#include "ram.h"
#include <libboot/devtree/devtree.h>
#include <libboot/log/log.h>

size_t hw_ram_get_size()
{
    devtree_entry_t* dev = devtree_find_device("ram");
    if (!dev) {
        log("Can't find RAM in devtree");
        while (1) { };
    }
    return dev->region_size;
}